Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#60477 - [virt-manager] missing dependency python-cairo

Attached to Project: Community Packages
Opened by Sebastiaan Lokhorst (lonaowna) - Thursday, 18 October 2018, 15:20 GMT
Last edited by Christian Rebischke (Shibumi) - Saturday, 09 February 2019, 14:25 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Christian Rebischke (Shibumi)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 7
Private No

Details

With virt-manager using Python 3 since version 2.0.0, it should now depend on python-cairo instead of python2-cairo.

Verify by e.g. missing graphs when python-cairo is not installed.
This task depends upon

Closed by  Christian Rebischke (Shibumi)
Saturday, 09 February 2019, 14:25 GMT
Reason for closing:  Fixed
Additional comments about closing:  2.1.0-2
Comment by Toolybird (Toolybird) - Sunday, 21 October 2018, 02:52 GMT
Yes. Errors produced by virt-manager in ~/.cache/virt-manager/virt-manager.log eg:

[Sun, 21 Oct 2018 13:17:06 virt-manager 1614] DEBUG (cli:190) Uncaught exception:
TypeError: Couldn't find foreign struct converter for 'cairo.Context'

Also see:

https://github.com/rbgirshick/py-faster-rcnn/issues/221#issuecomment-407926248

Comment by Toolybird (Toolybird) - Monday, 07 January 2019, 03:57 GMT
  • Field changed: Percent Complete (100% → 0%)
Umm, not fixed.

Package needs to depend on python-cairo.

The commit referenced removed dependency on python2-cairo but python-cairo was not added.

Loading...